Bug 981922 - "File Operations" progress meter is wildly innacurate
"File Operations" progress meter is wildly innacurate
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-06 22:47 EDT by Steevithak
Modified: 2015-02-17 10:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:55:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steevithak 2013-07-06 22:47:19 EDT
Description of problem:
when copying a moderately sized file, say 1GB from the hard drive to a USB flash device the "File Operations" dialog appears and contains a progress meter that goes from 0 to 100%. However, the progress meter reaches 100% and stops long before the actual copy completes. On a 1GB file, it takes almost a full minute after the meter says 100% before the dialog box vanishes and the flash activity light stops blinking. This could easily lead to someone pulling out a flash device before the copy was finished because of the buggy progress meter.

Version-Release number of selected component (if applicable):
Unknown - not sure what component generates the file system dialogs

How reproducible:
always

Steps to Reproduce:
1. Install Fedora 19
2. Insert a flash drive 
3. Copy a 1GB+ file to the drive 

Actual results:
Progress meter reaches 100% way too soon

Expected results:
Progress meter measures the progress of the file copy 

Additional info:
Comment 1 Kamil Dudka 2013-07-08 10:26:20 EDT
The filesystem package has nothing to do with this bug, it just installs the basic directory layout.  I am switching the component to gnome-vfs2...
Comment 2 Fedora End Of Life 2015-01-09 13:43:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:55:13 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.